summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2008-08-29 17:27:00 -0700
committerH. Peter Anvin <hpa@zytor.com>2008-08-29 17:27:00 -0700
commit1c7cb9e28c52f7c3ae010364b07f13f852be439c (patch)
tree7c0f48c6327a2dcf209a6ab435433f9dbc5e5a7a
parent163e5874d905f17c2f28c96166e8d58c0cb86ad2 (diff)
downloadnasm-1c7cb9e28c52f7c3ae010364b07f13f852be439c.tar.gz
Script to create new test case boilerplate
-rwxr-xr-xtest/new10
1 files changed, 10 insertions, 0 deletions
diff --git a/test/new b/test/new
new file mode 100755
index 00000000..82b2533e
--- /dev/null
+++ b/test/new
@@ -0,0 +1,10 @@
+#!/bin/sh
+for f; do
+ if [ -e "$f".asm ]; then
+ # For safety...
+ echo "$0: $f already exists" 1>&2
+ exit 1
+ fi
+ echo ";Testname=test; Arguments=-fbin -o$f.bin; Files=.stdout .stderr $f.bin" > "$f".asm
+done
+